<!--
    NOTICE:
        *the max value of up/down/mute/spec_switch num is POP_TABLE_MAX,
         POP_TABLE_MAX is defined in /system/media/audio_route/audio_route_pop.h
         pls check the value of up/down/mute/spec_switch num not exceed the POP_TABLE_MAX

        *the max value of force_num num is FORCE_TABLE_MAX,
         FORCE_TABLE_MAX is defined in /system/media/audio_route/audio_route_pop.h
         pls check the value of force_num num not exceed the FORCE_TABLE_MAX

        *the max lenth of ctl name is POP_NAME_MAX,
         POP_NAME_MAX is defined in /system/media/audio_route/audio_route_pop.h
         pls check the lenth of ctl/force_ctl/mute/spec_switch_ctl name not exceed the POP_NAME_MAX
-->
<pop>
  <up>
	<num name="num" value="25"/>
	<ctl name="I2S2_ULTRA_PLL_TRK_SWITCH ENABLE"/>
	<ctl name="S1_OL_SWITCH ENABLE"/>
	<ctl name="S1_OR_SWITCH ENABLE"/>
	<ctl name="S2_OL_SWITCH ENABLE"/>
	<ctl name="S2_OR_SWITCH ENABLE"/>
	<ctl name="S3_OL_SWITCH ENABLE"/>
	<ctl name="S3_OR_SWITCH ENABLE"/>
	<ctl name="S4_OL_SWITCH ENABLE"/>
	<ctl name="S4_OR_SWITCH ENABLE"/>
	<ctl name="VOICE8K_V2_SWITCH ENABLE"/>
	<ctl name="VOICE16K_V2_SWITCH ENABLE"/>
	<ctl name="VOICE32K_V2_SWITCH ENABLE"/>
	<ctl name="PLAY48K_SWITCH ENABLE"/>
	<ctl name="PLAY44K1_SWITCH ENABLE"/>
	<ctl name="PLAY96K_SWITCH ENABLE"/>
	<ctl name="PLAY88K2_SWITCH ENABLE"/>
	<ctl name="PLAY192K_SWITCH ENABLE"/>
	<ctl name="PLAY176K4_SWITCH ENABLE"/>
	<ctl name="HP_HIGHLEVEL_SWITCH ENABLE"/>
	<ctl name="AUDIOUP_4MIC_V2_SWITCH ENABLE"/>
	<ctl name="FM_HIFI_SWITCH ENABLE"/>
	<ctl name="AUDIOUP_4MIC_SWITCH ENABLE"/>
	<ctl name="AUDIOUP_2MIC_SWITCH ENABLE"/>
	<ctl name="ULTRA_UP9_SWITCH ENABLE"/>
	<ctl name="CARKIT_48K_SWITCH ENABLE"/>
  </up>
  <down>
	<num name="num" value="25"/>
	<ctl name="CARKIT_48K_SWITCH ENABLE"/>
	<ctl name="FM_HIFI_SWITCH ENABLE"/>
	<ctl name="S1_OL_SWITCH ENABLE"/>
	<ctl name="S1_OR_SWITCH ENABLE"/>
	<ctl name="S2_OL_SWITCH ENABLE"/>
	<ctl name="S2_OR_SWITCH ENABLE"/>
	<ctl name="S3_OL_SWITCH ENABLE"/>
	<ctl name="S3_OR_SWITCH ENABLE"/>
	<ctl name="S4_OL_SWITCH ENABLE"/>
	<ctl name="S4_OR_SWITCH ENABLE"/>
	<ctl name="PLAY48K_SWITCH ENABLE"/>
	<ctl name="PLAY44K1_SWITCH ENABLE"/>
	<ctl name="PLAY96K_SWITCH ENABLE"/>
	<ctl name="PLAY88K2_SWITCH ENABLE"/>
	<ctl name="PLAY192K_SWITCH ENABLE"/>
	<ctl name="PLAY176K4_SWITCH ENABLE"/>
	<ctl name="HP_HIGHLEVEL_SWITCH ENABLE"/>
	<ctl name="VOICE32K_V2_SWITCH ENABLE"/>
	<ctl name="VOICE16K_V2_SWITCH ENABLE"/>
	<ctl name="VOICE8K_V2_SWITCH ENABLE"/>
	<ctl name="AUDIOUP_4MIC_V2_SWITCH ENABLE"/>
	<ctl name="AUDIOUP_4MIC_SWITCH ENABLE"/>
	<ctl name="AUDIOUP_2MIC_SWITCH ENABLE"/>
	<ctl name="ULTRA_UP9_SWITCH ENABLE"/>
	<ctl name="I2S2_ULTRA_PLL_TRK_SWITCH ENABLE"/>
  </down>
</pop>
